var system = require("../../../system")
const http = require("http")
const querystring = require('querystring');
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
const logCtl = system.getObject("web.common.oplogCtl");
class PmFollowCtl extends CtlBase{
   constructor(){
     super("pm",CtlBase.getServiceName(PmFollowCtl));
   }
   async create(queryobj,qobj,req){
      if(req && req.session && req.session.user){
        var userinfo=req.session.user;
        qobj.follower_id=userinfo.id;
      }
      var objrtn= await super.create(queryobj,qobj,req);
      return objrtn;
   }
}
module.exports=PmFollowCtl ;
